/*************************************************************************/
/*************************************************************************/
/* H. Timucin OZDEMIR                                                    */
/* Date : February, 1997                                                 */
/* File Name : JSSPChromosomes.h                                         */
/*************************************************************************/
/*************************************************************************/

#ifndef JSSPChromosomes_h
#define JSSPChromosomes_h

#include <iostream.h>
#include <Chromosomes.h>
#include <FitnessValue.h>
#include <FitnessValueBag.h>
#include "JSSPSolution.h"

class JSSPChromosomes : public JSSPSolution, public Chromosomes
{
   public:

     JSSPChromosomes();
     JSSPChromosomes(const JSSPChromosomes&);
     ~JSSPChromosomes();
     virtual FitnessValue * getFitnessValue();
     virtual FitnessValueBag * getFitnessValueBag();
     virtual void randomInitialize(); 
     virtual void printOn(ostream&) const; 
     virtual similar(Chromosomes *); 
     virtual disSimilar(Chromosomes *); 
     virtual float HammingDistance(Chromosomes *); 

     operator==(const JSSPChromosomes&);

     virtual isEqual(const Chromosomes&);

   private:

     FindSimilarClass(Chromosomes *);
};
#endif
